<div [ngClass]="[jds.card, jds.mb(20)]">
  <div [ngClass]="[jds.cardHeader]">
    <h5 [ngClass]="[jds.cardTitle]">Tentang Indikator</h5>
  </div>

  <ng-container *ngIf="isLoadingRead$ | async">
    <div [ngClass]="[jds.cardBody, jds.py(32), jds.px(24)]">
      <div
        class="wrapper-skeleton"
        *ngFor="let line of [70, 10, 30, 20]"
      >
        <ngx-skeleton-loader
          [theme]="{
            width: line + '%',
            'border-radius': '0',
            height: '20px',
            'margin-bottom': '10px'
          }"
        />
      </div>
    </div>
  </ng-container>

  <ng-container *ngIf="(isLoadingRead$ | async) === false">
    <ng-container *ngIf="data$ | async as row">
      <div
        [ngClass]="[jds.cardBody, jds.borderBottom(1), jds.py(32), jds.px(24)]"
      >
        <table
          [ngClass]="[jds.table, jds.tableSm, jds.tableBorderless, jds.mb(32)]"
          role="table"
          aria-label="Description"
          aria-describedby="Table Description"
        >
          <tbody>
            <tr>
              <th
                [style.width.%]="18"
                [ngClass]="className.label"
                scope="row"
              >
                Dataset Pembangun
              </th>
              <td [style.width.%]="1">:</td>
              <td [ngClass]="className.description">
                <ng-container
                  *ngIf="
                    row.indikator_dataset && row.indikator_dataset.length > 0;
                    else emptyDataset
                  "
                >
                  <ul [ngClass]="[jds.ps(15), jds.mb(0)]">
                    <li
                      *ngFor="let rowd of row.indikator_dataset"
                      style="line-height: unset"
                    >
                      <a
                        [ngClass]="['t-link']"
                        [routerLink]="['/dataset/detail', rowd.dataset_id]"
                        target="_blank"
                      >
                        {{ rowd.dataset_nama }}
                      </a>
                    </li>
                  </ul>
                </ng-container>
                <ng-template #emptyDataset>-</ng-template>
              </td>
            </tr>
            <tr>
              <th
                [ngClass]="className.label"
                scope="row"
              >
                Indikator Terhubung
              </th>
              <td [style.width.%]="1">:</td>
              <td [ngClass]="className.description">
                <ng-container
                  *ngIf="
                    row.indikator_terhubung &&
                      row.indikator_terhubung.length > 0;
                    else emptyConnect
                  "
                >
                  <ul [ngClass]="[jds.ps(15), jds.mb(0)]">
                    <li
                      *ngFor="let rowc of row.indikator_terhubung"
                      style="line-height: unset"
                    >
                      <a
                        [ngClass]="['t-link']"
                        [routerLink]="[
                          '/indicator/detail',
                          rowc.indikator_terhubung_id
                        ]"
                        target="_blank"
                      >
                        {{ rowc.indikator_terhubung_nama }}
                      </a>
                    </li>
                  </ul>
                </ng-container>
                <ng-template #emptyConnect>-</ng-template>
              </td>
            </tr>
            <tr>
              <th
                [ngClass]="className.label"
                scope="row"
              >
                Program
              </th>
              <td [style.width.%]="1">:</td>
              <td [ngClass]="className.description">
                <ng-container
                  *ngIf="
                    row.indikator_program && row.indikator_program.length > 0;
                    else emptyProgram
                  "
                >
                  <ul [ngClass]="[jds.ps(15), jds.mb(0)]">
                    <li
                      *ngFor="let rowp of row.indikator_program"
                      style="line-height: unset"
                    >
                      {{ rowp.kode_program }} - {{ rowp.nama_program }}
                    </li>
                  </ul>
                </ng-container>
                <ng-template #emptyProgram>-</ng-template>
              </td>
            </tr>
            <tr>
              <th
                [ngClass]="className.label"
                scope="row"
              >
                Data Dasar
              </th>
              <td [style.width.%]="1">:</td>
              <td [ngClass]="className.description">
                @if (row.data_dasar_array; as basicData) {
                  @if (basicData.length > 0) {
                    <ul [ngClass]="[jds.ps(15), jds.mb(0)]">
                      @for (item of basicData; track $index) {
                        <li style="line-height: unset">
                          {{ item.name }}
                        </li>
                      }
                    </ul>
                  } @else {
                    -
                  }
                } @else {
                  -
                }
              </td>
            </tr>
            <tr>
              <th
                [ngClass]="className.label"
                scope="row"
              >
                Rumus
              </th>
              <td>:</td>
              <td
                [ngClass]="[
                  className.description,
                  className.formula,
                  className.image
                ]"
                [innerHTML]="row.rumus | safeHtml"
              ></td>
            </tr>
            <tr>
              <th
                [ngClass]="className.label"
                scope="row"
              >
                Satuan
              </th>
              <td>:</td>
              <td [ngClass]="className.description">{{ row.satuan_name }}</td>
            </tr>
            <tr>
              <th
                [ngClass]="className.label"
                scope="row"
              >
                Sumber Data
              </th>
              <td>:</td>
              <td [ngClass]="className.description">{{ row.source || '-' }}</td>
            </tr>
            <tr>
              <th
                [ngClass]="className.label"
                scope="row"
              >
                Interpretasi
              </th>
              <td>:</td>
              <td [ngClass]="className.description">
                {{ row.interpretation || '-' }}
              </td>
            </tr>
          </tbody>
        </table>

        <div [ngClass]="[jds.d('flex'), jds.alignItems('start')]">
          <div
            [ngClass]="jds.me(48)"
            [style.flexShrink]="0"
          >
            <div
              [ngClass]="[
                jds.fs(14),
                jds.mb(6),
                jds.text(jdsBiColor.gray['600'])
              ]"
              [style.lineHeight.px]="20"
            >
              Jumlah Dilihat
            </div>
            <span
              [ngClass]="[jds.fs(14)]"
              [style.position]="'relative'"
              [style.top.px]="1"
              [style.lineHeight.px]="23"
            >
              {{ row.count_view }}
            </span>
          </div>

          <div
            [ngClass]="jds.me(48)"
            [style.flexShrink]="0"
          >
            <div
              [ngClass]="[
                jds.fs(14),
                jds.mb(6),
                jds.text(jdsBiColor.gray['600'])
              ]"
              [style.lineHeight.px]="20"
            >
              Jumlah Diunduh
            </div>
            <span
              [ngClass]="[jds.fs(14)]"
              [style.position]="'relative'"
              [style.top.px]="1"
              [style.lineHeight.px]="23"
            >
              {{ row.count_access }}
            </span>
          </div>
        </div>
      </div>
      <div [ngClass]="[jds.cardBody, jds.py(32), jds.px(24)]">
        <div
          [ngClass]="[jds.fs(14), jds.mb(6), jds.text(jdsBiColor.gray['600'])]"
          [style.lineHeight.px]="20"
        >
          Disusun oleh
        </div>
        <div [ngClass]="[jds.d('flex'), jds.alignItems('start')]">
          <div [ngClass]="className.frame">
            <img
              class="img-responsive"
              *ngIf="row.logo !== null; else imgempty"
              [alt]="row.nama_skpd"
              [src]="env.backendURL + row.logo"
            />
            <ng-template #imgempty>
              <img
                class="img-responsive"
                [alt]="row.nama_skpd"
                src="http://placehold.it/200x200"
              />
            </ng-template>
          </div>
          <div>
            <h6 [ngClass]="jds.mb(16)">{{ row.nama_skpd }}</h6>
            <div [ngClass]="[jds.d('flex'), jds.alignItems('start')]">
              <div
                [ngClass]="jds.me(100)"
                [style.flexShrink]="0"
              >
                <div [ngClass]="jds.mb(10)">
                  <div
                    [ngClass]="[jds.d('flex')]"
                    [style.verticalAlign]="'middle'"
                  >
                    <jds-bi-icon
                      [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                      name="phone"
                    />
                    <span
                      [ngClass]="[jds.fs(14)]"
                      [style.position]="'relative'"
                      [style.top.px]="0.5"
                      [style.lineHeight.px]="23"
                    >
                      {{ row.phone !== null ? row.phone : '-' }}
                    </span>
                  </div>
                </div>
                <div>
                  <div
                    [ngClass]="[jds.d('flex')]"
                    [style.verticalAlign]="'middle'"
                  >
                    <jds-bi-icon
                      [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                      name="envelope"
                    />
                    <span
                      [ngClass]="[jds.fs(14)]"
                      [style.position]="'relative'"
                      [style.top.px]="0.5"
                      [style.lineHeight.px]="23"
                    >
                      {{ row.email !== null ? row.email : '-' }}
                    </span>
                  </div>
                </div>
              </div>
              <div [ngClass]="jds.me(48)">
                <div
                  [ngClass]="[
                    jds.fs(14),
                    jds.mb(6),
                    jds.text(jdsBiColor.gray['600'])
                  ]"
                  [style.lineHeight.px]="20"
                >
                  Bidang Organisasi
                </div>
                <span
                  [ngClass]="[jds.fs(14), jds.fontWeight('bold')]"
                  [style.position]="'relative'"
                  [style.top.px]="1"
                  [style.lineHeight.px]="23"
                >
                  {{
                    row.nama_skpdsub
                      ? (row.nama_skpdsub || '-' | titlecase)
                      : '-'
                  }}
                </span>
              </div>
            </div>
          </div>
        </div>
      </div>
    </ng-container>
  </ng-container>
</div>
